Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer
×

"Launcher is being updated. Please wait"

STAR WARS: The Old Republic > English > General Discussion
"Launcher is being updated. Please wait"
First BioWare Post First BioWare Post

Malachi_Bane's Avatar


Malachi_Bane
08.05.2017 , 02:02 PM | #211
Quote: Originally Posted by EricMusco View Post
Alright folks, here is the current status from the team. Since Microsoft has dropped support for both Windows XP and Vista, it has been very challenging for us to work through a solution with them. Separately, the team is working to try to offer a solution for those of you who are still unable to play. Unfortunately, right now that is still not in place.

We apologize to those of you who are in that state, we are trying to arrive at a solution as soon as we can.

-eric
In the meantime, it should be noted that the solution first offered on Reddit and reposted here actually works. It is temporary, but it moves the cutoff date well into October, giving you 2 months to fix it until then.

slydfox's Avatar


slydfox
08.05.2017 , 06:59 PM | #212
This is absolute BS, my laptop is windows 10 same as my desktop and it was doing the same thing. Now the stupid launcher won't even SHOW even though it says it is running in task manager. *** is taking so long?

AlrikFassbauer's Avatar


AlrikFassbauer
08.06.2017 , 04:22 AM | #213
Quote: Originally Posted by slydfox View Post
This is absolute BS, my laptop is windows 10 same as my desktop and it was doing the same thing. Now the stupid launcher won't even SHOW even though it says it is running in task manager. *** is taking so long?
Same here, with Windows XP. It doesn't even show up, despite running somewhere in the background.

Quote: Originally Posted by Verain View Post
No one *should* have changed their working OS.
I agree. No-one should be forced to do so, not even by some forum posters who seem to know otherwise.

Quote:
But just as people won't leave XP, many won't leave 7.
ALL, I repeat ALL my working environments run EXCLUSIVELY Windows 7. They do so in an virtualized form, but it still is Windows 7. Via my father I heard from IT professionals saying that they just WON'T upgrade to Windows 8-10. Simply because the thousands of workers in bureau environments both in business and in government just don't understand the new Windows UI. These are partially secretaries working for 40 years or even more for government, with ages of 50-60 years. Of course, some are more mentally agile than others, but still, some aren't. Are you going to fire workers with DECADES of knowledge and experience simply because they don't understand a given UI ? In U.S. business, this might work, but not here.

But gamers know it better. They are ready to throw everything away that doesn't fit their tastes.

Me, I'm not that much technology-drunk like the evangelists of Windows 10 or of 64bit are.

Quote: Originally Posted by Verain View Post
(who has financial incentive to screw over everyone not feeding them telemetry on 10).
And those evangelists are ready to feed them. Like they feed google. Like they feed everything else. They don't even know what the word "privacy" means nowadays.
Complex minds
will create
Complex problems.

Stellartoix's Avatar


Stellartoix
08.07.2017 , 12:29 AM | #214
The launcher has finally updated on my laptop which runs Windows 10, it took a long time and it reorganised some files for quite a while, from as far as I can tell.
This said, it still does not work on anything that is not Windows 10, I have tried to see if I could run it on Windows 7 via Playonmac, for my Mac, but the issue remains. I have tried to do the same via crossover, by using windows 7, I get a certificate expired error message. So for now I can at least use my laptop.
Now I find this should not have happened in the first place, they knew it was going to happen, as soon as XP was out of support. It should not impact people that use Windows 7 at all, that's what I don't understand, however it seems it does.

rocknorr's Avatar


rocknorr
08.07.2017 , 11:38 AM | #215
one thats rude i have 4 windows vista and xp computers and thought i would never need to buy one again , im betting thats most peopple with this problem, 2 when is this going to be fixed ? if they are working on it i kinda think it would have been resolved by now....so the question is when! WHEN!

kodrac's Avatar


kodrac
08.07.2017 , 12:33 PM | #216
Quote: Originally Posted by rocknorr View Post
one thats rude i have 4 windows vista and xp computers and thought i would never need to buy one again , im betting thats most peopple with this problem, 2 when is this going to be fixed ? if they are working on it i kinda think it would have been resolved by now....so the question is when! WHEN!
Making legacy systems work with modern systems isn't exactly easy and sometimes impossible especially when it comes to operating systems. Let this be a lesson. When.things become outdated - upgrade ASAP.
One FREE character transfer -> CLICKY plus 7 days FREE -> FAQ

Verain's Avatar


Verain
08.07.2017 , 02:17 PM | #217
Quote: Originally Posted by Stellartoix View Post
This said, it still does not work on anything that is not Windows 10, I have tried to see if I could run it on Windows 7 via Playonmac, for my Mac, but the issue remains. I have tried to do the same via crossover, by using windows 7, I get a certificate expired error message. So for now I can at least use my laptop.
Dude, that is not "anything that is not Windows 10". That is Wine, and also Wine. Neither are Windows 7. Wine has a patch that has been submitted, and eventually stuff like PlayOnMac will inherit it. But setting your version to Windows 7 in a compatibility layer is not Windows 7.

Quote:
It should not impact people that use Windows 7 at all, that's what I don't understand, however it seems it does.
Not that they could or will leave it like it is, but do NOT pretend you are using Windows 7. This works fine in Windows 7 or this forum would be on absolute fire. You clicking a box for a Wine version string is not the same as you installing Windows 7.

----
And then....

Quote: Originally Posted by kodrac View Post
Making legacy systems work with modern systems isn't exactly easy and sometimes impossible especially when it comes to operating systems. Let this be a lesson. When.things become outdated - upgrade ASAP.
Windows 10 is not an upgrade. Windows 7 is not an upgrade to many people. There's no lesson here except to Bioware- test your stuff better. This is not a user problem. This is not a reason to "upgrade". This is just a problem Bioware needs to fix.
"The most despicable person on the GSF forum."

EricMusco's Avatar


EricMusco
08.08.2017 , 04:24 PM | #218 Click here to go to the next staff post in this thread. Next  
Hey folks,

The team is in final testing on a potential solution, I should have more info tomorrow morning.

-eric
Eric Musco | Community Manager
Follow us on Twitter @SWTOR | Like us on Facebook
[Contact Us] [Rules of Conduct] [F.A.Q.]

Vitecus's Avatar


Vitecus
08.08.2017 , 07:46 PM | #219
I updated from windows Vista to 7 and game is downloading now and haven"t have any issues yet.Don't mind having to update but should of had notice.I lost a week of play time and missed an Event i wanted to take part in.An extra 500 cc would be nice but i won't hold my breath...lol

MeNaCe-NZ's Avatar


MeNaCe-NZ
08.08.2017 , 08:57 PM | #220
Quote: Originally Posted by Vitecus View Post
I updated from windows Vista to 7 and game is downloading now and haven"t have any issues yet.Don't mind having to update but should of had notice.I lost a week of play time and missed an Event i wanted to take part in.An extra 500 cc would be nice but i won't hold my breath...lol
500 CC because you were running an obsolete operating system? Pfft, keep dreaming. If anything you should pay them 500 CC for having to take the time to fix this for people who can't keep their bloody systems up to date.